# -*- encoding : utf-8 -*-

module AliyunLogRubySdk
  module Config
    def list_config(options = {})
      get('/configs', options)
    end

    def create_config(options = {})
      raise NotImplementedError
    end

    def delete_config(options = {})
      raise NotImplementedError
    end

    def get_config(options = {})
      get("/configs/#{options[:config_name]}", options)
    end

    def get_applied_machine_groups(options = {})
      get("/configs/#{options[:config_name]}/machinegroups", options)
    end
  end
end