# -*- encoding : utf-8 -*-

module AliyunLogRubySdk
  module LogStore
    def list_log_store(options = {})
      get('/logstores', options)
    end

    def create_log_store(options = {})
      options[:headers] = { 'x-log-bodyrawsize' => '0', 'Content-Type' => 'application/json' }

      post('/logstores', options)
    end

    def delete_log_store(options = {})
      raise NotImplementedError

      # delete("/logstores/#{log_store_name}", options)
    end

    def get_log_store(options = {})
      get("/logstores/#{log_store_name(options)}", options)
    end

    def update_log_store(options = {})
      raise NotImplementedError
    end

    def get_logs(options = {})
      options[:query] ||= {}
      options[:query][:type] = 'log'

      get("/logstores/#{log_store_name(options)}", options)
    end

    def get_histograms(options = {})
      options[:query] ||= {}
      options[:query][:type] = 'histogram'

      get("/logstores/#{log_store_name(options)}", options)
    end
  end
end
