# -*- encoding : utf-8 -*-

module AliyunLogRubySdk
  def self.configure
    raise AliyunLogRubySdk::ConfigurationError, 'Block must be given' unless block_given?

    yield @config ||= Configuration.new
  end

  def self.config
    @config.debug = false if @config.debug.nil?

    @config
  end

  class Configuration

    attr_accessor :endpoint, :access_key_id, :access_key_secret, :project_name, :log_store_name, :debug

  end
end